#include "flash_dev_all.h"
#include "x25/flash_dev_xt25f32.h"
#include "x25/flash_dev_z25vq32.h"

static const t_flash_info* f_info_list[] = {
    &flash_info_xt25f32,
    &flash_info_z25vq32
};

t_flash_errs flash_set_any(t_flash_iface *iface, t_flash_jedec_id_ext *rd_id) {
    return flash_set_from_list(iface, f_info_list, sizeof(f_info_list)/sizeof(f_info_list[0]), rd_id);
}
